import React, { useEffect, useState } from 'react'
import './register.scss'
import { View, Text, Input } from '@tarojs/components'
import ContainerLayout from '../../../compents/container/index'
import { AtInput } from 'taro-ui'
import Tab from '../../../compents/tab'
import Layout from '../../../layout'


const InputGroup = props => {
  console.log('---------', JSON.stringify(props.dataSource))
  const [name, setName] = useState(props.dataSource.name)
  const [phone, setPhone] = useState(props.dataSource.phone)

  useEffect(() => {
    if (name !== props.dataSource.name) {
      setName(props.dataSource.name)
    }
  }, [props.dataSource.name])
  
  useEffect(() => {
    if (phone !== props.dataSource.phone) {
      setPhone(props.dataSource.phone)
    }
  }, [props.dataSource.phone])

  const handeNameChange = e => {
    console.log('333333333333333333')
    const v = e.detail.value
    setName(v)
    if (props.onChange) {
      props.onChange({
        name: v,
        phone
      })
    }
    return v
  }
  
  const handePhoneChange = e => {
    const v = e.detail.value
    setPhone(v)
    if (props.onChange) {
      props.onChange({
        name,
        phone: v
      })
    }
    return v
  }

  const handleFocues = (_, e) => {
    e.stopPropagation()
    e.preventDefault()
  }

  return (
    <View className='register-user'>
      <Text>入住人{props.index}</Text>
      <ContainerLayout className='register-user-from'>
        {console.log(name,phone,'name,phone')}
        <Input name="name" className='register-user-from-input' value={name} onInput={handeNameChange} placeholder='姓名' type='text' />
        <Input name="phone" className='register-user-from-input' value={phone} onInput={handePhoneChange} placeholder='电话' type='text' />
      </ContainerLayout>
    </View>
  )
}

const register = (props) => {

  const { orderId } = props

  let [list, setList] = useState([])
  useEffect(() => {
    //   console.log(page,'page')
    const arr = []
    for (let i = 0; i < 4; i++) {
      arr.push({
        name:'',
        phone:'',
      })
    }
    setList(arr)
  }, [])

  const onClick = () => {
    console.log(list)
  }

  const onChangeList = index => value =>  {
    console.log(111111111, value, index)
 
    list[index] = value

    setList([...list])

  }

  return <View className='register'>
    <Layout>
      {list.map((x, index) => {
        let inx = index
        return <InputGroup key={inx} index={index} dataSource={x} onChange={onChangeList(inx)} />
      })}
    </Layout>

    <Tab value={['开启旅程']} onClick={(e) => onClick(e)}></Tab>
  </View>
}

export default register