import React, { useEffect, useMemo, useState, forwardRef, useImperativeHandle } from 'react'
import Taro, { useDidShow } from '@tarojs/taro'
import './index.scss'
import { View, Text, Input, Image } from '@tarojs/components'
import ContainerLayout from '../../../compents/container/index'
import radio from '../../../assets/radio.png'
import request from '@/util/request'
let house = (props, ref) => {

  const [list, setList] = useState([])
  const [radioHouse, setRadioHouse] = useState()


  useImperativeHandle(ref, () => ({
    // changeVal 就是暴露给父组件的方法
    getRefHouseList: () => {
      getHouseList()
    }
  }));



  const radioHouseState = useMemo(() => props.radioHouseState, [props.radioHouseState])
  wx.setNavigationBarTitle({
    title: '民宿房源管理'
  })
  console.log(props, radioHouseState)
  useEffect(() => {
    console.log(props, ref,'props, ref')
    getHouseList()
  }, [])
  useDidShow(() => {

    getHouseList()
  })

  const getHouseList = () => {
    request({
      url: '/taHouse',
      // method: 'get',
      params: { pageSize: 1, pageSize: 9999 }
    }).then((res) => {
      const { records, ...page } = res.data.data
      setList(records)
    })
  }

  const onShare = (x) => {
    Taro.navigateTo({ url: `/pages/share/index?houseId=${x.houseId}` })
  }



  return <View className='houselist'>
    {list.map((x, index) => {
      return <View className='houselist-view'>
        {/* <Text className='houselist-view-title'>房源编号：{x.houseId}</Text> */}
        <ContainerLayout className='houselist-view-card'>
          {radioHouseState && <View className='houselist-view-card-radio' onClick={() => { props.onChange(x), setRadioHouse(x) }}>
            {radioHouse?.houseId == x?.houseId && <Image src={radio} style={{ width: '30rpx', height: '20rpx' }}></Image>}
          </View>}
          <View className='top' onClick={() => { if (!radioHouseState) Taro.navigateTo({ url: `/pages/house/index?houseId=${x.houseId}` }) }}>{x.title}</View>
          <View className='bottom'>
            <Text onClick={() => { if (!radioHouseState) Taro.navigateTo({ url: `/pages/house/household/index?houseId=${x.houseId}` }) }}>查看入住人</Text>
            <Text onClick={()=>onShare(x)}>分享链接</Text>
          </View>
        </ContainerLayout>

      </View>

    })}


    {
      list.length == 0 &&
      < View className='nodata'> 暂无数据</View>

    }
  </View >
}
house = forwardRef(house)
export default house